summaryrefslogtreecommitdiffstats
path: root/resources/scripts/misc/grub-background
diff options
context:
space:
mode:
Diffstat (limited to 'resources/scripts/misc/grub-background')
-rwxr-xr-xresources/scripts/misc/grub-background54
1 files changed, 54 insertions, 0 deletions
diff --git a/resources/scripts/misc/grub-background b/resources/scripts/misc/grub-background
new file mode 100755
index 0000000..0fb721e
--- /dev/null
+++ b/resources/scripts/misc/grub-background
@@ -0,0 +1,54 @@
+#!/bin/bash
+
+#
+# grub-background script: change the GRUB background in libreboot
+#
+# Copyright (C) 2015 Francis Rowe <info@gluglug.org.uk>
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+#
+
+set -u -e -v
+
+if (( $# != 2 )); then
+ echo "Usage: ./grub-background /path/to/libreboot.rom /path/to/image.jpg"
+ exit 1
+fi
+if [ ! -f $1 ]; then
+ echo "File not found!"
+ exit 1
+fi
+if [ ! -f $2 ]; then
+ echo "File not found!"
+ exit 1
+fi
+rompath=$1
+jpegpath=$2
+
+arch="unknown"
+if [ $(uname -i) = "armv7l" ] || [ $(uname -m) = "armv7l" ]; then
+ arch="armv7l"
+elif [ $(uname -i) = "i686" ] || [ $(uname -m) = "i686" ]; then
+ arch="i686"
+elif [ $(uname -i) = "x86_64" ] || [ $(uname -m) = "x86_64" ]; then
+ arch="x86_64"
+else
+ echo "Unknown host architecture"
+ exit 1
+fi
+
+cbfstool="./cbfstool/$arch/cbfstool"
+
+$cbfstool "$rompath" remove -n background.jpg
+$cbfstool "$rompath" add -f "$jpegpath" -n background.jpg -t raw